# Ubuntu CI Engine
# Copyright 2014 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Functional test suite for the non functional stats service.

You must have 'python3-webtest' installed to run these full-stack tests. To
run these tests, execute:

$ python3 -m unittest nfdc.tests.functional

"""
import unittest

from webtest import TestApp

import nfdc


class FunctionalTests(unittest.TestCase):

    def setUp(self):
        self.testapp = TestApp(nfdc.app)

    def test_root_returns_405(self):
        res = self.testapp.get('/', status=404)
        self.assertEqual(res.status_code, 404)

    def test_v1_api_sets_content_type(self):
        res = self.testapp.get('/api/v1/')
        self.assertEqual(res.content_type, 'application/json')
